> For the complete documentation index, see [llms.txt](https://help.enterprise.ledger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.enterprise.ledger.com/api-documentation/reference/api-reference/accounts/get-an-account-by-id.md).

# Get an Account by ID

## Get an account by ID

> This method returns the account that matches the entered ID.

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"1.35.0"},"tags":[],"security":[{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_API_Key":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[],"Ledger_API_Key":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"Account":{"properties":{"address":{"default":null,"description":"The public address of the account (if any). Note that you should use the /accounts/:id/addresses endpoint to retrieve a trusted public address.","nullable":true,"type":"string"},"available_balance":{"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"balance":{"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"coin_fields":{"default":null,"nullable":true,"oneOf":[{"$ref":"#/components/schemas/TezosFields"},{"$ref":"#/components/schemas/PolkadotFields"},{"$ref":"#/components/schemas/SolanaAccountFields"},{"$ref":"#/components/schemas/EthereumAndEvmFields"},{"$ref":"#/components/schemas/PolygonFields"}]},"contract_address":{"default":null,"nullable":true,"type":"string"},"created_by":{"type":"integer"},"created_on":{"format":"date-time","type":"string"},"currency":{"enum":["Dollar","Euro","arbitrum","arbitrum_goerli","arbitrum_sepolia","avalanche_c_chain","avalanche_c_chain_fuji","base","base_goerli","base_sepolia","bitcoin","bitcoin_cash","bitcoin_gold","bitcoin_testnet","blast","blast_sepolia","bsc","cardano","celo","celo_alfajores","cosmos","cronos","cronos_testnet","dash","digibyte","dogecoin","ethereum","ethereum_classic","ethereum_goerli","ethereum_holesky","ethereum_hoodi","ethereum_pow","ethereum_ropsten","ethereum_sepolia","etherlink","fantom","fantom_testnet","filecoin","filecoin_calibration","flare","flare_coston","kava_evm","kava_evm_testnet","klaytn","klaytn_baobab","komodo","linea","litecoin","mantle","mantle_sepolia","near","neon_evm","optimism","optimism_goerli","optimism_sepolia","pivx","polkadot","polygon","polygon_amoy","polygon_mumbai","polygon_zk_evm","polygon_zk_evm_testnet","pulsechain","pulsechain_testnet","ripple","scroll","scroll_sepolia","solana","solana_devnet","solana_testnet","sonic","stellar","tezos","tomo","tomo_testnet","tron","vertcoin","viacoin","westend"],"type":"string"},"derivation_path":{"default":null,"nullable":true,"type":"string"},"governance_rules":{"items":{"$ref":"#/components/schemas/AccountRuleSet"},"type":"array"},"id":{"type":"integer"},"index":{"type":"integer"},"labels":{"description":"labels for this account","items":{"$ref":"#/components/schemas/LiteLabel"},"type":"array"},"last_request":{"default":null,"nullable":true,"type":"integer"},"name":{"type":"string"},"parent":{"default":null,"nullable":true,"type":"integer"},"pending_balance":{"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"status":{"enum":["ACTIVATION_ABORTED","ACTIVE","APPROVED","HSM_COIN_UPDATED","PENDING","PENDING_ACTIVATION","PENDING_CREATE_IN_HSM","PENDING_VIEW_ONLY","REJECTED","VIEW_ONLY"],"type":"string"},"token_accounts":{"description":"Light token accounts for this account","items":{"$ref":"#/components/schemas/LightTokenAccount"},"type":"array"},"tradelink_data":{"allOf":[{"$ref":"#/components/schemas/TradelinkState"}],"default":null,"description":"Tradelink state for this account","nullable":true},"type":{"enum":["Bep20","Bitcoin","Cardano","Cosmos","Erc20","Ethereum","Generic","Near","Polkadot","Polygon","Ripple","Solana","Stellar","Tezos","Trc20","Tron"],"type":"string"},"xpub":{"default":null,"description":"The Extended Public Key of the account (if any). Note that you should use the /accounts/:id/addresses endpoint to retrieve and share a trusted public address. Only API Operators with view-all rights can retrieve the XPUB.","nullable":true,"type":"string"}},"required":["available_balance","balance","created_by","created_on","currency","governance_rules","id","index","name","pending_balance","status","type"],"type":"object"},"TezosFields":{"properties":{"staking":{"allOf":[{"$ref":"#/components/schemas/TezosStakeBlockchainState"}],"default":null,"description":"A valid tezos delegate","nullable":true},"type":{"default":"Tezos"}},"type":"object"},"TezosStakeBlockchainState":{"properties":{"activated_at":{"default":null,"description":"date on wich the stake was activated","format":"date-time","nullable":true,"type":"string"},"activated_cycle":{"default":null,"description":"cycle in which the stake was activated","nullable":true,"type":"integer"},"active_balance":{"default":null,"description":"amount of assets generating rewards in base unit of the network","nullable":true,"type":"string"},"baker_address":{"description":"baker address to which the stake was delegated","type":"string"},"delegated_at":{"description":"date at wich the stake was delegated","format":"date-time","type":"string"},"delegated_block":{"default":null,"description":"tezos block on which the stake was delegated","nullable":true,"type":"string"},"delegated_cycle":{"default":null,"description":"cycle in which the stake was delegated","nullable":true,"type":"integer"},"gross_apy":{"default":null,"description":"total APY generated by the stake","nullable":true,"pattern":"^[0-9]*(\\.[0-9]+)?$","type":"string"},"rewards":{"default":null,"description":"the total rewards generated by the stake","nullable":true,"type":"string"},"state":{"description":"status of the stake on chain","enum":["activating","active","inactive","syncing"],"type":"string"},"updated_at":{"default":null,"description":"date on wich the stake was last updated","format":"date-time","nullable":true,"type":"string"}},"required":["baker_address","delegated_at","state"],"type":"object"},"PolkadotFields":{"properties":{"anonymous_proxy":{"allOf":[{"$ref":"#/components/schemas/PolkadotAnonymousProxyInfo"}],"default":null,"nullable":true},"balances":{"$ref":"#/components/schemas/PolkadotBalancesWithUnbondingInfo"},"staking":{"$ref":"#/components/schemas/PolkadotStakingInfo"},"type":{"default":"Polkadot"}},"required":["balances","staking"],"type":"object"},"PolkadotAnonymousProxyInfo":{"properties":{"address":{"type":"string"},"balances":{"$ref":"#/components/schemas/PolkadotBalances"},"block_height":{"type":"integer"},"created_at":{"type":"string"},"ext_index":{"type":"integer"},"index":{"type":"integer"},"is_controller":{"type":"boolean"},"is_main":{"type":"boolean"},"kind":{"type":"string"}},"required":["address","balances","block_height","created_at","ext_index","index","is_controller","is_main","kind"],"type":"object"},"PolkadotBalances":{"properties":{"available":{"type":"string"},"bonded":{"type":"string"},"free":{"type":"string"},"frozen":{"type":"string"},"reserved":{"type":"string"},"total":{"type":"string"}},"required":["available","bonded","free","frozen","reserved","total"],"type":"object"},"PolkadotBalancesWithUnbondingInfo":{"properties":{"available":{"type":"string"},"bonded":{"type":"string"},"free":{"type":"string"},"frozen":{"type":"string"},"reserved":{"type":"string"},"total":{"type":"string"},"total_unbonded":{"type":"string"},"total_unbonding":{"type":"string"},"unbonded":{"items":{"$ref":"#/components/schemas/PolkadotUnbondingInfo"},"type":"array"},"unbonding":{"items":{"$ref":"#/components/schemas/PolkadotUnbondingInfo"},"type":"array"}},"required":["available","bonded","free","frozen","reserved","total","total_unbonded","total_unbonding","unbonded","unbonding"],"type":"object"},"PolkadotUnbondingInfo":{"properties":{"amount":{"type":"string"},"waiting_time":{"type":"integer"},"withdrawable_date":{"type":"string"}},"required":["amount","waiting_time","withdrawable_date"],"type":"object"},"PolkadotStakingInfo":{"properties":{"controller_address":{"default":null,"description":"Address of the anonymous proxy","nullable":true,"type":"string"},"is_nominator":{"description":"True if the account is an active nominator, false if it is \"chilled\"","type":"boolean"},"legacy_staking":{"description":"If true, this account uses the legacy staking flow with a PureProxy account","type":"boolean"},"proxies":{"description":"Addresses of proxies of the controller account","items":{"type":"string"},"type":"array"},"rewards_destination":{"default":null,"description":"Rewards destination","nullable":true,"type":"string"}},"required":["is_nominator","legacy_staking","proxies"],"type":"object"},"SolanaAccountFields":{"properties":{"staking":{"allOf":[{"$ref":"#/components/schemas/SolanaStakingInfo"}],"description":"Solana Staking balances and rewards"},"type":{"default":"Solana"}},"required":["staking"],"type":"object"},"SolanaStakingInfo":{"properties":{"balances":{"allOf":[{"$ref":"#/components/schemas/SolanaBalances"}],"description":"Balances of open stakes"},"rewards":{"allOf":[{"$ref":"#/components/schemas/PeriodicRewards"}],"description":"Rewards generated by active stakes"}},"required":["balances","rewards"],"type":"object"},"SolanaBalances":{"properties":{"activating":{"description":"Sum of balances of open stakes in status activating","type":"string"},"deactivating":{"description":"Sum of balances of open stakes in status deactivating","type":"string"},"delegated":{"description":"Sum of balances of open stakes in status delegated","type":"string"},"token_accounts":{"default":null,"description":"The light token accounts associated to this account","items":{"$ref":"#/components/schemas/LightTokenAccount"},"nullable":true,"type":"array"},"total_staked":{"description":"Total SOL locked into staking on this solana account","type":"string"},"undelegated":{"description":"Sum of balances of open stakes in status undelegated","type":"string"}},"required":["activating","deactivating","delegated","total_staked","undelegated"],"type":"object"},"LightTokenAccount":{"properties":{"account_name":{"type":"string"},"associated_token_account":{"type":"string"},"available":{"type":"integer"},"contract_address":{"type":"string"},"creation_transaction_hash":{"type":"string"},"parent_id":{"type":"integer"},"pending":{"type":"integer"},"status":{"type":"string"},"ticker":{"type":"string"}},"required":["account_name","associated_token_account","available","contract_address","creation_transaction_hash","parent_id","pending","status","ticker"],"type":"object"},"PeriodicRewards":{"properties":{"last30":{"description":"Rewards generated over the last 30 days by all active stakes","type":"string"},"last7":{"description":"Rewards generated over the last 7 days by all active stakes","type":"string"},"total":{"description":"Total rewards generated by all active stakes","type":"string"}},"required":["last30","last7","total"],"type":"object"},"EthereumAndEvmFields":{"properties":{"staking":{"allOf":[{"$ref":"#/components/schemas/EthereumStakingInfo"}],"default":null,"description":"Ethereum Staking data","nullable":true},"type":{"default":"EthereumAndEvm"}},"type":"object"},"EthereumStakingInfo":{"properties":{"available_rewards":{"default":null,"description":"Available rewards","nullable":true,"type":"string"},"network_apy":{"default":null,"description":"APY","nullable":true,"type":"number"},"total_rewards":{"default":null,"description":"Total rewards","nullable":true,"type":"string"},"total_staking":{"default":null,"description":"Total staking","nullable":true,"type":"string"}},"type":"object"},"PolygonFields":{"properties":{"staking":{"allOf":[{"$ref":"#/components/schemas/MaticStakingInfo"}],"default":null,"description":"Polygon Staking data","nullable":true},"type":{"default":"Polygon"}},"type":"object"},"MaticStakingInfo":{"properties":{"total_rewards":{"description":"Total rewards","type":"string"},"total_staking":{"description":"Total staking","type":"string"},"total_unbonded":{"description":"Total unbonded","type":"string"},"total_unbonding":{"description":"Total unbonding","type":"string"}},"required":["total_rewards","total_staking","total_unbonded","total_unbonding"],"type":"object"},"AccountRuleSet":{"properties":{"id":{"type":"integer"},"index":{"type":"integer"},"name":{"type":"string"},"rules":{"items":{"oneOf":[{"$ref":"#/components/schemas/AccountWhitelistRule"},{"$ref":"#/components/schemas/AccountThresholdRule"},{"$ref":"#/components/schemas/AccountMultiauthRule"},{"$ref":"#/components/schemas/AccountTransactionFilterRule"},{"$ref":"#/components/schemas/AccountSmartContractInteractionRule"}]},"type":"array"}},"required":["id","index","name","rules"],"type":"object"},"AccountWhitelistRule":{"properties":{"data":{"items":{"$ref":"#/components/schemas/AccountWhitelistRuleEntry"},"type":"array"},"id":{"type":"integer"},"type":{"enum":["MULTI_AUTHORIZATIONS","SMART_CONTRACT_INTERACTION","THRESHOLD","TRANSACTION_FILTER","WHITELIST"],"type":"string"}},"required":["data","id","type"],"type":"object"},"AccountWhitelistRuleEntry":{"properties":{"whitelist":{"type":"integer"}},"required":["whitelist"],"type":"object"},"AccountThresholdRule":{"properties":{"data":{"items":{"$ref":"#/components/schemas/AccountThresholdRuleEntry"},"type":"array"},"id":{"type":"integer"},"type":{"enum":["MULTI_AUTHORIZATIONS","SMART_CONTRACT_INTERACTION","THRESHOLD","TRANSACTION_FILTER","WHITELIST"],"type":"string"}},"required":["data","id","type"],"type":"object"},"AccountThresholdRuleEntry":{"properties":{"currency_type":{"type":"string"},"max":{"default":null,"nullable":true,"type":"integer"},"min":{"type":"integer"}},"required":["currency_type","min"],"type":"object"},"AccountMultiauthRule":{"properties":{"data":{"items":{"default":null,"nullable":true,"oneOf":[{"$ref":"#/components/schemas/AccountMultiauthRuleExternalGroupEntry"},{"$ref":"#/components/schemas/AccountMultiauthRuleInternalGroupEntry"}]},"type":"array"},"id":{"type":"integer"},"type":{"enum":["MULTI_AUTHORIZATIONS","SMART_CONTRACT_INTERACTION","THRESHOLD","TRANSACTION_FILTER","WHITELIST"],"type":"string"}},"required":["data","id","type"],"type":"object"},"AccountMultiauthRuleExternalGroupEntry":{"properties":{"group":{"type":"integer"},"quorum":{"type":"integer"}},"required":["group","quorum"],"type":"object"},"AccountMultiauthRuleInternalGroupEntry":{"properties":{"quorum":{"type":"integer"},"users":{"items":{"default":null,"nullable":true,"type":"integer"},"type":"array"}},"required":["quorum","users"],"type":"object"},"AccountTransactionFilterRule":{"properties":{"data":{"items":{"$ref":"#/components/schemas/AccountTransactionFilterRuleEntry"},"type":"array"},"id":{"type":"integer"},"type":{"enum":["MULTI_AUTHORIZATIONS","SMART_CONTRACT_INTERACTION","THRESHOLD","TRANSACTION_FILTER","WHITELIST"],"type":"string"}},"required":["data","id","type"],"type":"object"},"AccountTransactionFilterRuleEntry":{"properties":{"condition":{"default":null,"enum":[null,"ALL","ANY"],"nullable":true,"type":"string"},"filters":{"additionalProperties":{"oneOf":[{"items":{"type":"string"},"type":"array"},{"type":"string"}]},"default":null,"nullable":true,"type":"object"},"preset":{"default":null,"nullable":true,"type":"string"}},"type":"object"},"AccountSmartContractInteractionRule":{"properties":{"data":{"items":{"$ref":"#/components/schemas/AccountSmartContractInteractionRuleEntry"},"type":"array"},"id":{"type":"integer"},"type":{"enum":["MULTI_AUTHORIZATIONS","SMART_CONTRACT_INTERACTION","THRESHOLD","TRANSACTION_FILTER","WHITELIST"],"type":"string"}},"required":["data","id","type"],"type":"object"},"AccountSmartContractInteractionRuleEntry":{"properties":{"enabled":{"type":"boolean"}},"required":["enabled"],"type":"object"},"LiteLabel":{"additionalProperties":false,"properties":{"id":{"type":"integer"},"info":{"$ref":"#/components/schemas/LabelInfo"},"name":{"description":"name of the tag","type":"string"}},"required":["id","info","name"],"type":"object"},"LabelInfo":{"properties":{"color":{"description":"color of the tag","type":"string"},"description":{"description":"description of this tag","type":"string"}},"required":["color","description"],"type":"object"},"TradelinkState":{"properties":{"total_repledge":{"description":"Total pending repledge balance over all account pledges","type":"string"}},"required":["total_repledge"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/accounts/{account_id}":{"get":{"summary":"Get an account by ID","tags":["Accounts"],"description":"This method returns the account that matches the entered ID.","parameters":[{"name":"account_id","in":"path","description":"The account's ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Account"}}},"description":"Account object"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Account not found"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.enterprise.ledger.com/api-documentation/reference/api-reference/accounts/get-an-account-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
